import request from '@/utils/request'
import { URL } from '@/config'

export function getList(params) {
  return request({
    url: URL.shop.chain.user.getList,

    method: 'get',
    params,
  })
}

export function doEdit(data) {
  return request({
    url: URL.shop.chain.user.doEdit,

    method: 'post',
    data,
  })
}

export function doDelete(data) {
  return request({
    url: URL.shop.chain.user.doDelete,

    method: 'post',
    data,
  })
}

export function editRightGroupIds(data) {
  return request({
    url: URL.shop.chain.user.editRightGroupIds,

    method: 'post',
    data,
  })
}
